Commit 6c402209 authored by Nicolas Michon's avatar Nicolas Michon

Find support library only for android version 19 or less

parent c60ccf97
......@@ -124,7 +124,7 @@ find_package(Sqlite3 REQUIRED)
find_package(XML2 REQUIRED)
#APPLE platform does not use dlopen for soci backend
if (APPLE)
if (APPLE)
find_package(Soci REQUIRED COMPONENTS sqlite3)
else()
find_package(Soci REQUIRED)
......@@ -194,7 +194,9 @@ if(NOT WIN32)
endif()
if(ANDROID)
find_package(CpuFeatures REQUIRED)
find_package(Support)
if(CMAKE_ANDROID_NDK_VERSION VERSION_LESS 19)
find_library(ANDROID_SUPPORT_LIBRARY NAMES support)
endif()
endif()
set(LINPHONE_LDFLAGS "${BELLESIP_LDFLAGS} ${MEDIASTREAMER2_LDFLAGS}")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment